/**
 * v-loadmore el-select加载更多
 */
// import Vue from 'vue';
export default {
  bind(el, binding, vnode, oldVnode) {
    const SELECTDOWN_DOM = el.querySelector('.el-select-dropdown .el-select-dropdown__wrap');
    SELECTDOWN_DOM.addEventListener('scroll', function() {
      const CONDITION = Math.floor(this.scrollHeight - this.scrollTop) <= this.clientHeight;
      if (CONDITION) {
        binding.value();
      }
    });
  }
};
